Bundle Service API Reference - BundleController
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get a bundle by Id
This endpoint returns a BundleDto JSON object describing the specified bundle.
Note: This endpoint returns 404 (Not Found) error if the request is made by a non-bundle owner and a.) if the bundle is not public and b. if the bundle is not shared with the requestor's account
Authorizations:
path Parameters
| id required | string Bundle id for which bundle object will be retrieved |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "30604055b65640fb830521209d8e6cd9",
- "data": {
- "bundleId": "fa1c8156-43ed-4371-9c51-c494131883e9",
- "name": "Boomi-Internal 1",
- "description": "",
- "ownerAccountId": "boomi-internal",
- "sharingMode": "PUBLIC",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-30T19:15:32.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-03-01T16:49:29.000Z"
}
}Update a bundle by id
This endpoint will let you update the attributes of the bundle corresponding the the specified bundle id.
Note:
- Only Users with access to Bundle Owner Account can update the Bundle.
"description"field in the JSON request body is optional.
Example Request Body:
{ "name": "New Bundle Name", "description": "bundle description"}Authorizations:
path Parameters
| id required | string Bundle id for which bundle object will be updated |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| description required | string [ 0 .. 4000 ] characters |
| name required | string [ 1 .. 80 ] characters |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Request samples
- Payload
{- "name": "string",
- "description": "string"
}Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "30604055b65640fb830521209d8e6cd9",
- "data": {
- "bundleId": "fa1c8156-43ed-4371-9c51-c494131883e9",
- "name": "Boomi-Internal 1",
- "description": "",
- "ownerAccountId": "boomi-internal",
- "sharingMode": "PUBLIC",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-30T19:15:32.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-03-01T16:49:29.000Z"
}
}Delete a bundle by id
This endpoint will delete the bundle with the specified bundle id. Note: Only users with access to Bundle Owner account can delete the bundle.
Authorizations:
path Parameters
| id required | string Bundle id for which bundle object will be deleted |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "05a45b6f72f240668226caa0b4b57a8d",
- "data": null
}Get all bundles
This endpoint returns a list of bundles accessible to the user's authenticated account. This will include:
- bundles that are created by the logged-in user's account
- bundles that are shared with the logged-in user's account. These shared bundles will have a sharingMode other than PRIVATE
Authorizations:
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Response samples
- 200
- 400
- 403
- 500
- default
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "4dee181ef2b940d091ebebde197649db",
- "data": [
- {
- "bundleId": "f5b6727a-23be-458e-8ee8-212046eee0c0",
- "name": "Bundle 1",
- "description": "Details",
- "ownerAccountId": "petersullivan-4BQCPN",
- "sharingMode": "PUBLIC",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-11T21:42:23.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-27T15:45:51.000Z"
}, - {
- "bundleId": "e54f3239-38eb-4be8-bbc0-d437e7c82431",
- "name": "Bundle 2",
- "description": "",
- "ownerAccountId": "petersullivan-4BQCPN",
- "sharingMode": "PRIVATE",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-27T15:18:04.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-10T20:24:28.000Z"
}
], - "total": 2
}Create collection of bundles
This endpoint will let you create one or more bundles represented in the request body in the authenticated account.
Note: name field in the JSON request body is mandatory.
Request Body Example:[ { "name": "Bundle 1", "description": "Bundle 1 details" }, { "name": "Bundle 2" }]
Authorizations:
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| description required | string [ 0 .. 4000 ] characters |
| name required | string [ 1 .. 80 ] characters |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Request samples
- Payload
[- {
- "name": "string",
- "description": "string"
}
]Response samples
- 200
- 400
- 403
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "6e21ca58c13c4cb5bb1ab9a8e674f337",
- "data": [
- {
- "bundleId": "10e105db-c6a1-4e3f-a914-1f04d08b1dfb",
- "name": "Bundle 1",
- "description": "Bundle 1 details",
- "ownerAccountId": "johnmyer-QBCH",
- "sharingMode": "PRIVATE",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-03-07T21:04:56.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-03-07T21:04:56.000Z"
}, - {
- "bundleId": "9c310d28-6d08-4e63-a2c3-5cbe42f9a40f",
- "name": "Bundle 2",
- "description": null,
- "ownerAccountId": "johnmyer-QBCH",
- "sharingMode": "PRIVATE",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-03-07T21:04:56.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-03-07T21:04:56.000Z"
}
], - "total": 2
}Add artifacts to a bundle
This endpoint will let you add the artifacts to a bundle when its bundleId, accountId and the JSON request body for the artifact are provided.
- For adding artifacts of type
FLOWorPACKAGED_COMPONENT, set the artifactType field in the JSON to either "FLOW" or "PACKAGED_COMPONENT" and set the artifactInternalId field in the JSON to the component Id for a Packaged Component or the FlowId for a Flow. - For adding artifacts of type
SUPPORTING, set the artifactType field in the JSON to "SUPPORTING" and set the artifactInternalId field in the JSON to any unique string value w.r.t. the other artifacts in this bundle. - Set the artifactName JSON field to any non-empty string value.
- Set the other JSON fields per your requirements and execute the request.
- The artifactMetadata field allows users to specify arbitrary key/value pairs associated with this artifact that might be useful for an API client. Uploading a file to this SUPPORTING artifact will automatically add key/value pairs for filename and mimeType. The artifactMetadata field is optional.
- The manywhotenant is the source tenant of a FLOW artifact. It only needs to be specified if one of the added artifacts is of type FLOW and JWT authentication is used. There no need to specify it if you are using a Flow API key to authenticate as the source tenant will be determined from the API key.
Request Body Example:
[ { "artifactType": "SUPPORTING", "artifactInternalId": "d2964dcc-80b0-4d97-8ce1-921913e5327c", "artifactInternalVersion": "1.0", "artifactDescription": "Build script", "artifactName": "Script File", "artifactMetadata": { "customAttribute": "attributeValue" }, "associatedSupportingMaterial": { "documentName": "Help document", "documentDescription": "This document contains the steps to install and use the Designer Agent." } }]Authorizations:
path Parameters
| id required | string Bundle id of bundle to which artifacts will be added |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| manywhotenant | any The tenant ID value that the Flow API key is associated with |
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| artifactType required | string Enum: "PACKAGED_COMPONENT" "FLOW" "SUPPORTING" "AI_AGENT" |
| artifactInternalId | string [ 1 .. 36 ] characters |
| artifactInternalVersion | string [ 0 .. 255 ] characters |
| artifactDescription | string [ 0 .. 4000 ] characters |
| artifactName | string [ 1 .. 80 ] characters |
object (ArtifactMetadataDto) | |
object (AssociatedSupportingMaterialDto) |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Request samples
- Payload
[- {
- "artifactType": "PACKAGED_COMPONENT",
- "artifactInternalId": "string",
- "artifactInternalVersion": "string",
- "artifactDescription": "string",
- "artifactName": "string",
- "artifactMetadata": {
- "jsonMetadata": "string"
}, - "associatedSupportingMaterial": {
- "documentName": "string",
- "documentDescription": "string"
}
}
]Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "02dbfdd4530b4f5ca5ba9a162ce19962",
- "data": [
- {
- "artifactId": "4b5db74f-dbb1-4116-a755-890603bc1aaa",
- "artifactType": "SUPPORTING",
- "artifactInternalId": "b45befcf-7ef9-41c4-ac68-5407b8462d0e",
- "artifactInternalVersion": "string",
- "artifactDescription": "string",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-02-23T21:29:23.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-23T21:29:23.000Z",
- "serviceType": "NONE",
- "artifactMetadata": null
}
], - "total": 1
}Get sharing targets for a bundle
This endpoint returns a list of sharing targets for a bundle when its bundleId and accountId are specified.
The intended purpose of this feature is to share a bundle with the specified AtomSphere Accounts. A sharing target can be an AtomSphere account that you want to share your bundle with.
Currently, ATOMSPHERE_ACCOUNT_ID is the only supported sharing target type.
Authorizations:
path Parameters
| bundleId required | string Bundle id for which sharing targets will be retrieved |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "3011cf753d5348409a2200f0e84eed93",
- "data": [
- {
- "sharingTargetId": "ee5c77c5-50db-4497-a8d5-30c3b611c059",
- "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID",
- "internalId": "AJ Sharing Target ID"
}, - {
- "sharingTargetId": "8ba72eda-2b2a-4082-86af-7b7f841f4e6b",
- "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID",
- "internalId": "Sharing Target ID 2"
}
], - "total": 2
}Add sharing targets to a bundle
This endpoint will let you add the sharing target account details to the bundle with the specified bundleId and accountId.
The intended purpose of this feature is to share a bundle with the specified AtomSphere Accounts. A sharing target can be an AtomSphere account that you want to share your bundle with.
Currently, ATOMSPHERE_ACCOUNT_ID is the only supported sharingTargetType and internalId can be any non-empty string that is an AtomSphere Account Id.
Note: This endpoint returns 200 OK even if all the sharing targets specified in the JSON request body already exist in the given Bundle. This endpoint avoids duplicates. Only new sharing targets will be added to the given Bundle.
Request Body Example:[ { "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID", "internalId": "johnmyer-QBCH" }, { "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID", "internalId": "petersullivan-AB5TG" }]
Authorizations:
path Parameters
| bundleId required | string Bundle id of bundle to which sharing targets will be added |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| internalId required | string [ 1 .. 200 ] characters |
| sharingTargetType required | string Value: "ATOMSPHERE_ACCOUNT_ID" |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Request samples
- Payload
[- {
- "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID",
- "internalId": "string"
}
]Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "fdb25f50d54e480ba21b5fe35cc0e9c9",
- "data": [
- {
- "sharingTargetId": "1dade584-cb53-4538-9234-1429499aeefb",
- "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID",
- "internalId": "bacef3dc-2009-4249-ae5d-d3c6ae7d3e73",
- "createdBy": "admin@boomi.com",
- "createdDate": "2023-05-04T14:49:08.000Z"
}, - {
- "sharingTargetId": "3d3de584-fb53-7538-4234-3229499aeedj",
- "sharingTargetType": "ATOMSPHERE_ACCOUNT_ID",
- "internalId": "zaeef3dc-0009-7249-ah5d-h2c6ae7d3e65",
- "createdBy": "admin@boomi.com",
- "createdDate": "2023-05-04T14:50:10.000Z"
}
]
}Download supporting material for a supporting artifact in a bundle Deprecated
This endpoint will return the uploaded file associated with the specified SUPPORTING artifact. If no file has been uploaded, the endpoint will return 404 NOT_FOUND.
NOTE: You can download the artifacts of type SUPPORTING only. Artifacts of type FLOW and PACKAGED_COMPONENT cannot be downloaded.
Authorizations:
path Parameters
| bundleId required | string Deprecated Bundle id containing supporting artifact |
| artifactId required | string Artifact id to download supporting materials |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: */*
Response samples
- 400
- 403
- 404
- 500
{- "resultCode": "VALIDATION_ERROR",
- "resultSubCode": "",
- "serviceTransactionId": "c69fb8406efc4f1ea1fd66a1eaa93d76",
- "data": [ ],
- "resultString": "VALIDATION_ERROR: Specified artifact is not a member of bundle",
- "total": 0
}Upload supporting materials for a supporting artifact in a bundle
This endpoint will let you upload a file to be associated with a SUPPORTING type artifact. You must specify the bundle id and the artifact id of the artifact.
NOTE:
- You can upload the artifacts of type
SUPPORTINGonly. Artifacts of typeFLOWandPACKAGED_COMPONENTcannot be uploaded. - You can only upload one file to each SUPPORTING artifact. If you want to upload more than one file for a bundle, create multiple SUPPORTING artifacts.
- If uploading the file using Swagger, you just need to click the "Choose File" button below and select the file you want to upload.
- If uploading using the API directly, your payload must be formatted as multipart/form-data. An example of this looks as follows:
--boundary--Content-Disposition: form-data; name="file"; filename="myfile.txt"Content-Type: text/plainThis is the contents of the filenamed myfile.txt.--boundary--
- Execute the 'Add artifacts to a Bundle' POST request.
- Execute this endpoint with the artifactId returned from the step above along with its bundleId.
Authorizations:
path Parameters
| bundleId required | string Bundle id containing supporting artifact |
| artifactId required | string Artifact id to upload supporting materials |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: multipart/form-data
| file required | string <binary> Supporting material to upload |
Responses
Response Schema: */*
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" |
| resultSubCode | string |
| serviceTransactionId | string |
| data | string |
Response samples
- 400
- 403
- 404
- 500
{- "resultCode": "VALIDATION_ERROR",
- "resultSubCode": "",
- "serviceTransactionId": "c69fb8406efc4f1ea1fd66a1eaa93d76",
- "data": [ ],
- "resultString": "VALIDATION_ERROR: Specified artifact is not a member of bundle",
- "total": 0
}Remove an artifact from a bundle
This endpoint removes the artifact from a bundle when its artifactId, bundleId and accountId are specified. For artifacts that have associated data such as SUPPORTING artifacts, that data is also deleted.
Authorizations:
path Parameters
| bundleId required | string Bundle id of bundle from which artifacts will be removed |
| artifactId required | string Artifact id to delete from bundle |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "7641b5a696dd49c49d8b70af563e27fa",
- "data": {
- "bundleId": "fa1c8156-43ed-4371-9c51-c494131883e9",
- "name": "accName",
- "description": "",
- "ownerAccountId": "account",
- "sharingMode": "PRIVATE",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-30T19:15:32.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-24T14:41:52.000Z"
}
}Update Artifact in a Bundle
This endpoint will let you update the artifact inside a bundle corresponding to the specified bundle id.
Note:
- Only Users with access to Bundle Owner Account can update the Artifact.
"name"field in the JSON request body is optional."description"field in the JSON request body is optional.
Example Request Body:
{ "name": "Update Artifact Name", "description": "Update Artifact description"}Authorizations:
path Parameters
| bundleId required | string Bundle id on bundle from which the artifact is to be updated |
| artifactId required | string Artifact id for which artifact object will be updated |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| artifactName | string [ 1 .. 80 ] characters |
| artifactDescription | string [ 0 .. 4000 ] characters |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Request samples
- Payload
{- "artifactName": "string",
- "artifactDescription": "string"
}Response samples
- 200
- 400
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "d83b7fc5643343478b2bba92a1b83a5e",
- "data": {
- "artifactId": "fa1c8156-43ed-4371-9c51-c494131883e9",
- "artifactType": "PACKAGED_COMPONENT 1",
- "artifactInternalId": "af0de9bf-1664-4a65-b4cd-31a4494202ae 1",
- "artifactInternalVersion": "1 1",
- "artifactDescription": "artifactDescription 1",
- "artifactName": "artifactName 1",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-30T19:15:32.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-03-01T16:49:29.000Z",
- "serviceType": "INTEGRATION",
- "artifactMetadata": "null"
}
}Get artifacts for a bundle
This endpoint returns a list of artifacts for a bundle when its bundleId and accountId are specified.
Authorizations:
path Parameters
| bundleId required | string Bundle id for which artifacts will be retrieved |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "5afc8347a395429b9ac2d0994a5ea386",
- "data": [
- {
- "artifactId": "0ac3b496-be61-4639-9d1e-c2ce8dca51a5",
- "artifactType": "PACKAGED_COMPONENT",
- "artifactInternalId": "3a0b8c1c-9aac-41bd-8f7e-ef58100104f3",
- "artifactInternalVersion": "3.0",
- "artifactDescription": "Process",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-02-10T20:24:28.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-10T20:24:28.000Z",
- "serviceType": "INTEGRATION",
- "artifactMetadata": null
}
], - "total": 1
}Get downloadable material for artifact in a bundle
This endpoint will return downloadable file associated with the specified artifact. If no file has been uploaded, the endpoint will return 404 NOT_FOUND.
NOTE: You can download the artifacts of type SUPPORTING, AI_AGENT only. Artifacts of type FLOW and PACKAGED_COMPONENT cannot be downloaded.
Authorizations:
path Parameters
| bundleId required | string Bundle id containing artifact |
| artifactId required | string Artifact id to download materials |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: */*
Response samples
- 400
- 403
- 404
- 500
{- "resultCode": "VALIDATION_ERROR",
- "resultSubCode": "",
- "serviceTransactionId": "c69fb8406efc4f1ea1fd66a1eaa93d76",
- "data": [ ],
- "resultString": "VALIDATION_ERROR: Specified artifact is not a member of bundle",
- "total": 0
}Download bundle file artifacts as ZIP
Downloads file-based artifacts from a bundle as a ZIP file. This endpoint retrieves only downloadable artifact types (supporting materials, AI agent configurations, etc.) from the specified bundle and packages them into a compressed ZIP archive.
Authorizations:
path Parameters
| bundleId required | string Bundle id containing supporting artifacts to download |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: */*
Response samples
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "string",
- "serviceTransactionId": "string",
- "data": [
- { }
], - "resultString": "string",
- "stackTrace": "string",
- "total": 0
}Remove a sharing target from a bundle
This endpoint removes the sharing target from a bundle when its sharingTargetId, bundleId and accountId are specified.
Authorizations:
path Parameters
| bundleId required | string Bundle id of bundle from which sharing target will be removed |
| sharingTargetId required | string Sharing target id to delete from bundle |
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | any The response payload containing the requested object |
Response samples
- 200
- 400
- 403
- 404
- 500
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "d66249189a15448791550f52015e73b0",
- "data": {
- "bundleId": "fa1c8156-43ed-4371-9c51-c494131883e9",
- "name": "Boomi-Internal 1",
- "description": "",
- "ownerAccountId": "boomi-internal",
- "sharingMode": "PUBLIC",
- "createdBy": "email@boomi.com",
- "createdDate": "2023-01-30T19:15:32.000Z",
- "modifiedBy": "email@boomi.com",
- "modifiedDate": "2023-02-27T19:25:54.000Z"
}
}